# Interface FilePatch

interface FilePatch {
op: Op;
path: string;
value?: string;
}

##### Index

### Properties

op
path
value?

## Properties

### op

op: Op

The patch operation type

### path

path: string

JSON Pointer-style path: /entities/{ifcGid} or /entities/{ifcGid}/(name|description)

### `Optional` value

value?: string

New value for replace operations. Must be omitted for remove operations.